UbuntuUpdates.org

Package "libvirt-daemon-driver-storage-gluster"

Name: libvirt-daemon-driver-storage-gluster

Description:

Virtualization daemon glusterfs storage driver

Latest version: 8.0.0-1ubuntu7.8
Release: jammy (22.04)
Level: updates
Repository: universe
Head package: libvirt
Homepage: https://libvirt.org/

Links


Download "libvirt-daemon-driver-storage-gluster"


Other versions of "libvirt-daemon-driver-storage-gluster" in Jammy

Repository Area Version
base universe 8.0.0-1ubuntu7
security universe 8.0.0-1ubuntu7.5

Changelog

Version: 8.0.0-1ubuntu7.8 2024-01-09 22:06:59 UTC

  libvirt (8.0.0-1ubuntu7.8) jammy; urgency=medium

  * d/p/u/lp-2028057-*, d/libvirt0.install: Add named types and definitions,
    along with QEMU alias syncing for Intel SapphireRapids (LP: #2028057)

 -- Lena Voytek <email address hidden> Wed, 29 Nov 2023 14:52:52 -0700

Source diff to previous version
2028057 Jammy Libvirt Support for Intel Sapphire Rapids

Version: 8.0.0-1ubuntu7.7 2023-09-20 09:08:28 UTC

  libvirt (8.0.0-1ubuntu7.7) jammy; urgency=medium

  * When attempting to launch a VM with SGX enabled, there is an
    error reported that prevents VMs from being launched. Backport fix
    that fixes the main cause of that issue, which is the
    QOM_CPU_PATH macro and qom-get behavior (LP: #1982896).
    - d/p/b/qemu-monitor-json-get-cpux86-data-unexport.patch
    - d/p/b/qemu-process-update-and-verify-cpu-refactor-cleanup.patch
    - d/p/b/qemu-monitor-do-not-hardcode-qom-path-of-first-cpu.patch
    - d/p/b/qemu-domain-store-qompath-in-qemudomainvcpuprivate.patch
    - d/p/b/qemu-process-move-cpu-flag-querying-after-code-probing-cpus.patch
    - d/p/b/qemu-process-move-call-to-qemuprocessrefreshcpu-after-cpu-probe.patch
    - d/p/b/qemu-process-do-not-use-hardcoded-qom-path-for-cpu-for-probing-flags.patch

 -- Michal Maloszewski <email address hidden> Fri, 04 Aug 2023 10:42:25 +0200

Source diff to previous version
1982896 libvirtd cannot launch VMs with SGX enabled

Version: 8.0.0-1ubuntu7.6 2023-07-12 12:07:04 UTC

  libvirt (8.0.0-1ubuntu7.6) jammy; urgency=medium

  * d/p/u/lp-2024114-Avoid-memleak-in-virNodeDeviceGetPCIVPDDynamicCap.patch:
    fix memory leak PCI devices with VPD data (LP: #2024114)

 -- Rafael Lopez <email address hidden> Tue, 20 Jun 2023 11:54:15 +1000

Source diff to previous version
2024114 memory of libvirtd process grows steadily over time

Version: 8.0.0-1ubuntu7.5 2023-05-31 14:07:09 UTC

  libvirt (8.0.0-1ubuntu7.5) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via nwfilter driver
    - debian/patches/CVE-2022-0897.patch: fix crash when counting number of
      network filters in src/nwfilter/nwfilter_driver.c.
    - CVE-2022-0897
  * SECURITY UPDATE: DoS via memleak in SR-IOV PCI device capabilities
    - debian/patches/CVE-2023-2700.patch: resolve leak in
      virPCIVirtualFunctionList cleanup in src/util/virpci.c.
    - CVE-2023-2700

 -- Marc Deslauriers <email address hidden> Fri, 26 May 2023 10:08:33 -0400

Source diff to previous version
CVE-2022-0897 A flaw was found in the libvirt nwfilter driver. The virNWFilterObjListNumOfNWFilters method failed to acquire the `driver->nwfilters` mutex before i
CVE-2023-2700 A vulnerability was found in libvirt. This security flaw ouccers due to repeatedly querying an SR-IOV PCI device's capabilities that exposes a memory

Version: 8.0.0-1ubuntu7.4 2023-01-03 23:06:35 UTC

  libvirt (8.0.0-1ubuntu7.4) jammy; urgency=medium

  * d/p/u/lp-1993304-apparmor-allow-getattr-on-usb-devices.patch: prevent
    apparmor denials on USB forwarding (LP: #1993304)
  * d/p/u/lp-1996176-nodedev-ignore-EINVAL-from-libudev-in-udevEventHandl.patch:
    tolerate the impact of too large udev data avoiding a busy loop
    (LP: #1996176)

 -- Christian Ehrhardt <email address hidden> Tue, 22 Nov 2022 15:59:28 +0100

1993304 apparmor violation for /sys/bus/usb/devices
1996176 cpu might go into a hot loop on systems with uncommon udev data



About   -   Send Feedback to @ubuntu_updates